httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From William A Rowe Jr <wr...@rowe-clan.net>
Subject Re: [VOTE] Release Apache httpd 2.4.25 as GA
Date Sun, 18 Dec 2016 09:01:06 GMT
It isn't based on the modules/*.so contents, but based on the draft
conf/httpd.conf indicated by apxs.

I had the converse problem, with --enable-modules-all I accidentally loaded
both cgi and cgid.

On Dec 18, 2016 02:43, "Nick Kew" <niq@apache.org> wrote:

On Sat, 2016-12-17 at 20:32 -0500, Eric Covener wrote:
> I think your t/conf/extra.conf is out of date and has the +ExecCGI
> masked out by <IfVersion 2.5.0>. So you are getting the perl script
> instead of its output setting nasty headers.

[pre-breakfast post: not yet at the desktop where I ran the tests]

For what it's worth, this was a pristine trunk repo of the test suite
as of date about 12 hours ago.  As ever, built/run in a directory
newly created by lndir so as never to pollute the repo.

However, there's a message earlier in the tests: CGI tests skipped
because neither mod_cgi nor mod_cgid were found (nonsense: mod_cgid.so
is in its expected place in /modules/ ).  Looks like some gremlin
in the test suite, plus running those tests when CGI tests had been
skipped.

--
Nick Kew

Mime
View raw message